using System;

namespace Pikado
{
    class Program
    {
        static void Main(string[] args)
        {
            var ulaz = Console.ReadLine().Split();
            int n = int.Parse(ulaz[0]);
            int k = int.Parse(ulaz[1]);
            int br = 0, br1 = 0;
            int[] p = new int[n];
            var ul = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                    p[i] = int.Parse(ul[i]);
            }
            for (int i = 0; i < n; i++)
            {
                br = 1;
                for (int j = n - 1; j > i; j--)
                {
                    if (p[j] == p[i])
                    {
                        br++;
                    }
                }
                if (br == k)
                {
                    br1++;
                }
            }
            Console.WriteLine(br1);
            for (int i = 0; i < n; i++)
            {
                br = 1;
                for (int j = n - 1; j > i; j--)
                {
                    if (p[j] == p[i])
                    {
                        br++;
                    }
                }
                if (br == k)
                {
                    Console.Write(p[i] + " ");
                }
            }
        }
    }
}